org.apache.solr.client.solrj

## Class SolrServer

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.SolrServer

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable

Deprecated.
Use `SolrClient`

    @Deprecated
    public abstract class SolrServer
    extends SolrClient

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SolrServer()` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, close, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getBinder, getById, getById, getById, getById, getById, getById, getById, getById, optimize, optimize, optimize, optimize, optimize, optimize, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, request, request, rollback, rollback, shutdown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrServer

    public SolrServer()

Deprecated.